.dynamic-select {
    display: flex;
    box-sizing: border-box;
    flex-direction: column;
    position: relative;
    width: 100%;
    user-select: none;
}
.dynamic-select .dynamic-select-header {
    border: 1px solid #dee2e6;
    padding: 7px 30px 7px 12px;
}
.dynamic-select .dynamic-select-header::after {
    content: "⌵";
    font-family: Arial, sans-serif;
    font-weight: bold;
    font-size: 12px;
    margin-left: 7px;
    color: #666;
}
.dynamic-select .dynamic-select-header.dynamic-select-header-active {
background-color: #222;
}
.dynamic-select .dynamic-select-header.dynamic-select-header-active::after {
    transform: translateY(0%) rotate(180deg);
}
.dynamic-select .dynamic-select-header.dynamic-select-header-active + .dynamic-select-options {
    display: flex;
}
.dynamic-select .dynamic-select-header .dynamic-select-header-placeholder {
    color: #65727e;
}
.dynamic-select .dynamic-select-options {
    display: none;
    position: absolute;
    left: 0;
    top: 100%;
    background-color: #111;
    border-radius: 5px;
    min-width: 165px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.3);
    z-index: 1000;
    list-style: none;
    flex-flow: wrap;
    padding: 8px 0;
    margin-top: 5px;
    transition: opacity 0.2s ease-in-out;
    max-height: 200px;
    overflow-y: auto;
    overflow-x: hidden;

}
#language-dropdown .dynamic-select .dynamic-select-options {
    min-width: 130px!important;
    }
#language-dropdown .dynamic-select .dynamic-select-option{
    font-size: 16px!important;
    padding: 4px 12px !important;
   
    
}    
.dynamic-select .dynamic-select-option{
    padding: 8px 12px!important;
    border-radius: 0px!important;
    background-color: #111!important;
    border:none!important;
    font-size: 14px!important;
    text-align: right;
    margin: 3px 0px;
    
}
.dynamic-select .dynamic-select-header img{
    margin-right: 6px!important;
}
.dynamic-select .dynamic-select-option:active {
    background-color: #4dfe3e!important;
    color: black;
    width: 85%;
}
.dynamic-select-option a{
    display: none;
}
.dynamic-select .dynamic-select-header:hover{
    background-color: #222;
}
.dynamic-select .dynamic-select-option:hover {
    background-color: #4dfe3e!important;
    color: black;
    
}
.dynamic-select .dynamic-select-options::-webkit-scrollbar {
    width: 5px;
}
.dynamic-select .dynamic-select-options::-webkit-scrollbar-track {
    background: #f0f1f3;
}
.dynamic-select .dynamic-select-options::-webkit-scrollbar-thumb {
    background: #cdcfd1;
}
.dynamic-select .dynamic-select-options::-webkit-scrollbar-thumb:hover {
    background: #b2b6b9;
}

.dynamic-select .dynamic-select-options .dynamic-select-option:hover, .dynamic-select .dynamic-select-options .dynamic-select-option:active {
    background-color: #4dfe3e;
    color: black;
    width: 85%;
}
.dynamic-select .dynamic-select-header, .dynamic-select .dynamic-select-option {
    display: flex;
    align-items: center;
    line-height: 24px;
    justify-content: space-between;
    background-color: #0a0c0e;
    color: #fff;
    border: 1px solid rgba(255, 255, 255, 0.051);
    padding: 3px 10px;
    border-radius: 5px;
    font-size: 12px;
    min-width: 10px;
    cursor: pointer;
    transition: background 0.3s ease-in-out;
    width: 100%;
    height: 32px;
    box-sizing: border-box;

}
.dynamic-select .dynamic-select-header img, .dynamic-select .dynamic-select-option img {
    object-fit: contain;
    max-height: 100%;
    max-width: 100%;
    width: 20px;
}
.dynamic-select .dynamic-select-header img.dynamic-size, .dynamic-select .dynamic-select-option img.dynamic-size {
    object-fit: fill;
    max-height: none;
    max-width: none;
}
.dynamic-select .dynamic-select-header img, .dynamic-select .dynamic-select-header svg, .dynamic-select .dynamic-select-header i, .dynamic-select .dynamic-select-header span, .dynamic-select .dynamic-select-option img, .dynamic-select .dynamic-select-option svg, .dynamic-select .dynamic-select-option i, .dynamic-select .dynamic-select-option span {
    box-sizing: border-box;
    margin-right: 10px;
}
.dynamic-select .dynamic-select-header.dynamic-select-no-text, .dynamic-select .dynamic-select-option.dynamic-select-no-text {
    justify-content: center;
}
.dynamic-select .dynamic-select-header.dynamic-select-no-text img, .dynamic-select .dynamic-select-header.dynamic-select-no-text svg, .dynamic-select .dynamic-select-header.dynamic-select-no-text i, .dynamic-select .dynamic-select-header.dynamic-select-no-text span, .dynamic-select .dynamic-select-option.dynamic-select-no-text img, .dynamic-select .dynamic-select-option.dynamic-select-no-text svg, .dynamic-select .dynamic-select-option.dynamic-select-no-text i, .dynamic-select .dynamic-select-option.dynamic-select-no-text span {
    margin-right: 0;
}
.dynamic-select .dynamic-select-header .dynamic-select-option-text, .dynamic-select .dynamic-select-option .dynamic-select-option-text {
    box-sizing: border-box;
    flex: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: inherit;
    font-size: inherit;
    margin-right:0!important;
}
#currency-dropdown .dynamic-select .dynamic-select-header img {
        pointer-events: none;
        filter: invert(1);
    }
#currency-dropdown .dynamic-select .dynamic-select-option img{
        display: none;
    }
#currency-dropdown .dynamic-select .dynamic-select-header .dynamic-select-option-text span{
       display: none;
    }
#language-dropdown .dynamic-select .dynamic-select-header .dynamic-select-option-text span{
       display: none;
    }
#currency-dropdown .dynamic-select .dynamic-select-option .dynamic-select-option-text span{
    float: left;
}
@media (max-width: 968px) {
    .dynamic-select .dynamic-select-header img {
        margin: 0!important;
    }
    .dynamic-select .dynamic-select-header .dynamic-select-option-text{
        display: none;
    }
    .dynamic-select .dynamic-select-header{
        padding: 0;
        height: 25px;
    }
}